Appearance
Authentication API
Server
| URL | Description |
|---|---|
https://api.neogt.com.au/auth | Production Asia Region |
Create a new API client for the given App.
http
POST /api-clientRequest body
Schema: ApiClientInput
Responses
| Status | Description |
|---|---|
200 | Use the returned access token to make API requests using bearer auth. |
400 | The request body is invalid |
401 | You are not authorised to access this resource |
403 | Action is restricted |
404 | The record could not be found |
Authenticate an API client using a Client ID and Secret
http
POST /api-client/authenticateRequest body
| Field | Type | Required | Description |
|---|---|---|---|
client_id | string | yes | |
client_secret | string | yes |
Responses
| Status | Description |
|---|---|
200 | Use the returned access token to make API requests using bearer auth. |
400 | The request body is invalid |
401 | You are not authorised to access this resource |
403 | Action is restricted |
Create an app authorization request for a browser user to approve.
http
POST /api-client/authorization-requestsRequest body
| Field | Type | Required | Description |
|---|---|---|---|
client_id | string | yes | |
client_secret | string | yes | |
redirect_uri | string | yes | |
state | string | no | |
showroom_id | string | no |
Responses
| Status | Description |
|---|---|
200 | The created authorization request. |
400 | The request body is invalid |
401 | You are not authorised to access this resource |
Get the app authorization request visible to the signed-in user.
http
GET /api-client/authorization-requests/{requestId}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
requestId | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | App authorization request details. |
401 | You are not authorised to access this resource |
404 | The record could not be found |
Approve an app authorization request for the signed-in user.
http
POST /api-client/authorization-requests/{requestId}/approveParameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
requestId | path | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
showroom_id | string | yes |
Responses
| Status | Description |
|---|---|
200 | One-time code and redirect URI for the app. |
400 | The request body is invalid |
401 | You are not authorised to access this resource |
403 | Action is restricted |
404 | The record could not be found |
Silently authorize an app user token if the signed-in user has matching showroom grant access.
http
POST /api-client/authorization-requests/{requestId}/authorizeParameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
requestId | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | App-scoped user token and redirect URI for the browser app. |
401 | You are not authorised to access this resource |
403 | Action is restricted |
404 | The record could not be found |
Exchange a one-time app authorization code for an app_user token.
http
POST /api-client/tokenRequest body
| Field | Type | Required | Description |
|---|---|---|---|
client_id | string | yes | |
client_secret | string | yes | |
code | string | yes | |
redirect_uri | string | yes |
Responses
| Status | Description |
|---|---|
200 | App-scoped user token. |
400 | The request body is invalid |
401 | You are not authorised to access this resource |
Extend an app_user token after rechecking live app and user grant access.
http
POST /api-client/token/extendAuthentication
http
Authorization: Bearer <token>Responses
| Status | Description |
|---|---|
200 | Fresh app-scoped user token. |
401 | You are not authorised to access this resource |
403 | Action is restricted |
